Bug 118254 - position:fixed elements show on top of an iframe in fullscreen (affects Vimeo)
Summary: position:fixed elements show on top of an iframe in fullscreen (affects Vimeo)
Status: UNCONFIRMED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Frames (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL: http://andy2343.tumblr.com/newembed
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-07-01 10:18 PDT by Brad Dougherty
Modified: 2016-05-24 22:06 PDT (History)
11 users (show)

See Also:


Attachments
Patch (7.94 KB, patch)
2013-07-10 13:48 PDT, Jer Noble
beidson: review-
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2 (552.95 KB, application/zip)
2013-07-11 02:48 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Dougherty 2013-07-01 10:18:09 PDT
Overview:
If there are any position: fixed elements on the outer page, they will show up on top of an element inside an iframe if that element is sent into fullscreen.

Steps to Reproduce:
1) Go to http://andy2343.tumblr.com/newembed
2) Press the fullscreen button in the player

Actual Results:
The Tumblr follow/dashboard controls are displayed on top of the player in full screen.

Expected Results:
Just the player should be displayed.

Build Date & Platform:
Happens as far back as Safari 5.1 on 10.6
Comment 1 Brad Dougherty 2013-07-06 15:02:38 PDT
In Radar: rdar://problem/10597833
Comment 2 Jer Noble 2013-07-10 13:48:28 PDT
Created attachment 206411 [details]
Patch
Comment 3 Babak Shafiei 2013-07-10 14:08:43 PDT
<rdar://problem/10597833>
Comment 4 Build Bot 2013-07-11 02:48:04 PDT
Comment on attachment 206411 [details]
Patch

Attachment 206411 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/1044692

New failing tests:
fullscreen/full-screen-iframe-with-max-width-height.html
Comment 5 Build Bot 2013-07-11 02:48:06 PDT
Created attachment 206440 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.3
Comment 6 Brady Eidson 2016-05-24 22:06:48 PDT
Comment on attachment 206411 [details]
Patch

Assuming that patches for review since 2013 are stale, r-